org.apache.commons.codec

## Interface Encoder

- All Known Subinterfaces:
    BinaryEncoder, StringEncoder
  All Known Implementing Classes:
    AbstractCaverphone, Base32, Base64, BaseNCodec, BCodec, BeiderMorseEncoder, BinaryCodec, Caverphone, Caverphone1, Caverphone2, ColognePhonetic, DoubleMetaphone, Hex, MatchRatingApproachEncoder, Metaphone, Nysiis, QCodec, QuotedPrintableCodec, RefinedSoundex, Soundex, URLCodec

      public interface Encoder

  Provides the highest level of abstraction for Encoders.

  This is the sister interface of `Decoder`. Every implementation of Encoder provides this common generic interface which allows a user to pass a generic Object to any Encoder implementation in the codec package.

  Version:
    $Id: Encoder.java 1379145 2012-08-30 21:02:52Z tn $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `encode(Object source)` Encodes an "Object" and returns the encoded content as an Object.

- - ### Method Detail

    - #### encode

          Object encode(Object source)
                        throws EncoderException

      Encodes an "Object" and returns the encoded content as an Object. The Objects here may just be `byte[]` or `String`s depending on the implementation used.
      Parameters:
        `source` - An object to encode
      Returns:
        An "encoded" Object
      Throws:
        `EncoderException` - An encoder exception is thrown if the encoder experiences a failure condition during the encoding process.

Copyright © 2002-2013 The Apache Software Foundation. All Rights Reserved.